- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions

# GLM_GTX_vector_access: Vector access

GTX Extensions (Experimental)

Function to set values to vectors. More...

## Functions
template<typename valType >
void | set (detail::tvec2< valType > &v, valType const &x, valType const &y)
template<typename valType >
void | set (detail::tvec4< valType > &v, valType const &x, valType const &y, valType const &z, valType const &w)
template<typename valType >
void | set (detail::tvec3< valType > &v, valType const &x, valType const &y, valType const &z)

## Detailed Description

Function to set values to vectors.

<glm/gtx/vector_access.hpp> need to be included to use these functionalities.

## Function Documentation

void glm::set | ( | detail::tvec2< valType > & | v,
|  | valType const & | x,
|  | valType const & | y
| ) |  |

Set values to a 2 components vector.

From GLM_GTX_vector_access extension.

void glm::set | ( | detail::tvec4< valType > & | v,
|  | valType const & | x,
|  | valType const & | y,
|  | valType const & | z,
|  | valType const & | w
| ) |  |

Set values to a 4 components vector.

From GLM_GTX_vector_access extension.

void glm::set | ( | detail::tvec3< valType > & | v,
|  | valType const & | x,
|  | valType const & | y,
|  | valType const & | z
| ) |  |

Set values to a 3 components vector.

From GLM_GTX_vector_access extension.